Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class MasterVirtualServer

`java.lang.Object
oracle.ovs.api.datamodel.server.VirtualServer
oracle.ovs.api.datamodel.server.MasterVirtualServer`

All Implemented Interfaces:
  java.io.Serializable

      public class MasterVirtualServer

extends VirtualServer

This class holds additional configuration details for the master virtual virtualServer.

Such details are included:
1. Extends from VirtualServer
2. Server Type.
2. Other relevant data(if applicable)

See Also:
  `VirtualServer`, `ServerType`, Serialized Form

Constructor Summary
`MasterVirtualServer()` Default Constructor
`MasterVirtualServer(VirtualServer vs)` Use `VirtualServer` to construct master virtual server

Method Summary
`java.lang.String` | `getServerType()` Get master server type.
`void` | `setServerType(java.lang.String serverType)` Deprecated. Master Server has its default value ServerType.MASTER_SERVER

Methods inherited from class oracle.ovs.api.datamodel.server.VirtualServer
`clone, getAgentPwd, getArchitecture, getComments, getCpuNum, getHdAmount, getHdFree, getIp, getLocation, getLoginPassword, getLoginUsername, getMemAmount, getMemFree, getPlatform, getServerId, getServerName, getServerPool, getServerTypeDisplay, getStatus, getSupportHVM, getVmList, getVtType, setAgentPwd, setArchitecture, setComments, setCpuNum, setHdAmount, setHdFree, setIp, setLocation, setLoginPassword, setLoginUsername, setMemAmount, setMemFree, setPlatform, setServerId, setServerName, setServerPool, setServerTypeDisplay, setStatus, setSupportHVM, setVmList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MasterVirtualServer

    public MasterVirtualServer()

  Default Constructor

### MasterVirtualServer

    public MasterVirtualServer(VirtualServer vs)

  Use `VirtualServer` to construct master virtual server
  Parameters:
    `vs` - Virtual Server

Method Detail

### getServerType

    public java.lang.String getServerType()

  Get master server type.
  Overrides:
    `getServerType` in class `VirtualServer`
  Returns:
    Master Server has its default value
    - ServerType.MASTER_SERVER

### setServerType

    public void setServerType(java.lang.String serverType)

  Deprecated. Master Server has its default value
  - ServerType.MASTER_SERVER
  -   Description copied from class: `VirtualServer`
      Set Server Type
      Overrides:
        `setServerType` in class `VirtualServer`
      Parameters:
        `serverType` -

    Overview | Package | Class | Tree | Deprecated | Index | Help
    | Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
    PREV CLASS NEXT CLASS | FRAMES NO FRAMES
    SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

    Copyright © 2009, Oracle. All rights reserved.